package com.example.app1;

import android.app.FragmentTransaction;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;

import com.google.android.material.bottomnavigation.BottomNavigationView;

public class IndexActivity extends AppCompatActivity implements View.OnClickListener{
    private LinearLayout musicLine,findLine,liveLine,personLine;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.index_daohan);
        init();
        switchFragment(new musicFragment());
    }
    private void init(){
        musicLine = findViewById(R.id.gaohan1);
        musicLine.setOnClickListener(this);
        findLine = findViewById(R.id.gaohan2);
        findLine.setOnClickListener(this);
        liveLine = findViewById(R.id.gaohan3);
        liveLine.setOnClickListener(this);
        personLine = findViewById(R.id.gaohan4);
        personLine.setOnClickListener(this);
    }
    @Override
    public void onClick(View view){
        if (view.getId() == R.id.gaohan1) {
            switchFragment(new musicFragment());
        } else if (view.getId() == R.id.gaohan2) {
            switchFragment(new findFragment());
        } else if (view.getId() == R.id.gaohan3) {
            switchFragment(new liveFragment());
        } else if (view.getId() == R.id.gaohan4) {
            switchFragment(new personFragment());
        }
    }

    private void switchFragment(Fragment fragment) {
        getSupportFragmentManager().beginTransaction().replace(R.id.gaohan, fragment).commit();
    }
}
