package com.example.app1;

import android.app.FragmentTransaction;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;

import com.google.android.material.bottomnavigation.BottomNavigationView;

public class IndexActivity extends AppCompatActivity implements View.OnClickListener{
    private LinearLayout musicLine,findLine,liveLine,personLine;
    private TextView lastSelectedText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.index_daohan);
        init();
        switchFragment(new musicFragment());
        setDefaultTextColor(findViewById(R.id.wenzi1)); // 设置默认选中项的文字颜色
        lastSelectedText = findViewById(R.id.wenzi1);
    }
    private void init(){
        musicLine = findViewById(R.id.gaohan1);
        musicLine.setOnClickListener(this);
        findLine = findViewById(R.id.gaohan2);
        findLine.setOnClickListener(this);
        liveLine = findViewById(R.id.gaohan3);
        liveLine.setOnClickListener(this);
        personLine = findViewById(R.id.gaohan4);
        personLine.setOnClickListener(this);
    }

    private void setDefaultTextColor(TextView text) {
        text.setTextColor(Color.parseColor("#FF4081")); // 设置默认选中项的文字颜色
    }
    private void resetTextColor(TextView text) {
        text.setTextColor(Color.parseColor("#000000")); // 设置默认项的文字颜色为默认颜色
    }
    @Override
    public void onClick(View view){
        resetTextColor(lastSelectedText); // 恢复上一个选中项的文字颜色为默认颜色
        if (view.getId() == R.id.gaohan1) {
            switchFragment(new musicFragment());
            lastSelectedText = findViewById(R.id.wenzi1);
            setDefaultTextColor(lastSelectedText);
        } else if (view.getId() == R.id.gaohan2) {
            switchFragment(new findFragment());
            lastSelectedText = findViewById(R.id.wenzi2);
            setDefaultTextColor(lastSelectedText);
        } else if (view.getId() == R.id.gaohan3) {
            switchFragment(new liveFragment());
            lastSelectedText = findViewById(R.id.wenzi3);
            setDefaultTextColor(lastSelectedText);
        } else if (view.getId() == R.id.gaohan4) {
            switchFragment(new personFragment());
            lastSelectedText = findViewById(R.id.wenzi4);
            setDefaultTextColor(lastSelectedText);
        }
    }
    private void switchFragment(Fragment fragment) {
        getSupportFragmentManager().beginTransaction().replace(R.id.gaohan, fragment).commit();
    }

    public void tuichudenglu(View view){
        Intent intent2 = new Intent(IndexActivity.this, MainActivity.class);
        startActivity(intent2);

    }

}
