package com.example.app1;

import android.content.ContentValues;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.CheckBox;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;

public class MainActivity3 extends AppCompatActivity implements View.OnClickListener {
    private TextView reg_username;
    private TextView reg_password;
    private TextView reg_sure_password;
    private RadioGroup radiogroup;
    private CheckBox ah1, ah2, ah3, ah4;
    private String sex = "男";
    private String aihao1 = "", aihao2 = "", aihao3 = "", aihao4 = "";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.user_register);
        //初始化
        reg_username = findViewById(R.id.reg_username);
        reg_password = findViewById(R.id.reg_password);
        reg_sure_password = findViewById(R.id.reg_sure_password);

        findViewById(R.id.reg_register).setOnClickListener(this);
        radiogroup = findViewById(R.id.rp);
        radiogroup.setOnCheckedChangeListener((group, checkedId) -> {
            if (checkedId == R.id.man) {
                sex = "男";
            } else if (checkedId == R.id.woman) {
                sex = "女";
            }
        });

        ah1 = findViewById(R.id.chang);
        ah2 = findViewById(R.id.tiao);
        ah3 = findViewById(R.id.rap);
        ah4 = findViewById(R.id.basketball);
        ah1.setOnCheckedChangeListener((buttonView, isChecked) -> {
            aihao1 = isChecked ? "唱" : "";
        });
        ah2.setOnCheckedChangeListener((buttonView, isChecked) -> {
            aihao2 = isChecked ? "跳" : "";
        });
        ah3.setOnCheckedChangeListener((buttonView, isChecked) -> {
            aihao3 = isChecked ? "rap" : "";
        });
        ah4.setOnCheckedChangeListener((buttonView, isChecked) -> {
            aihao4 = isChecked ? "篮球" : "";
        });
    }

    @Override
    public void onClick(View view) {
        String username = reg_username.getText().toString().trim();
        String password = reg_password.getText().toString().trim();
        String surepassword = reg_sure_password.getText().toString().trim();

        if (username.isEmpty() || password.isEmpty() || surepassword.isEmpty()) {
            Toast.makeText(MainActivity3.this, "用户名或密码不能为空！", Toast.LENGTH_SHORT).show();
            return;
        }

        if (!password.equals(surepassword)) {
            Toast.makeText(MainActivity3.this, "两次输入密码不一致！", Toast.LENGTH_SHORT).show();
            return;
        }

        // 保存用户名和密码到数据库
        DBHelper dbHelper = new DBHelper(MainActivity3.this);
        SQLiteDatabase db = null;
        try {
            db = dbHelper.getWritableDatabase();
            ContentValues values = new ContentValues();
            values.put("username", username);
            values.put("password", password);
            long result = db.insert("users", null, values);
            if (result == -1) {
                Toast.makeText(MainActivity3.this, "注册失败！", Toast.LENGTH_SHORT).show();
            } else {
                Toast.makeText(MainActivity3.this, "注册成功！", Toast.LENGTH_SHORT).show();
                // 如果一切正常，跳转到下一个页面
                Intent intent1 = new Intent(this, MainActivity2.class);
                startActivity(intent1);
            }
        } catch (Exception e) {
            e.printStackTrace();
            Toast.makeText(MainActivity3.this, "注册失败！", Toast.LENGTH_SHORT).show();
        } finally {
            if (db != null) {
                db.close(); // 关闭数据库连接
            }
        }

    }

    // 返回按钮点击事件
    public void fanhui(View view) {
        Intent intent5 = new Intent(MainActivity3.this, MainActivity2.class);
        startActivity(intent5);
    }
}
