package com.example.app1;

import android.content.Intent;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.LinearLayout;

import androidx.fragment.app.Fragment;

import java.io.IOException;

public class musicFragment extends Fragment {
    private ImageButton playButton1, playButton2, playButton3; // 播放按钮
    private Button button4, button5, button6; // 页面跳转按钮
    private LinearLayout ll1;
    private MediaPlayer mediaPlayer; // 媒体播放器
    private String musicUrl1 = "https://t3.kugou.com/song.html?id=bmzyP1dCNV2"; // 第一首音乐链接
    private String musicUrl2 = "https://t4.kugou.com/song.html?id=bn05n53CNV2"; // 第二首音乐链接
    private String musicUrl4 = "https://www.kugou.com/yy/special/index/1-5-0.html"; // 音乐排行榜链接
    private String musicUrl5 = "https://www.kugou.com/yy/html/rank.html"; // 音乐排行榜链接
    private String musicUrl6 = "https://www.kugou.com/yy/html/singer.html"; // 歌手页面链接

    // 创建视图并返回
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_music, container, false);
        init(view); // 初始化界面
        return view;
    }

    // 初始化界面
    private void init(View view) {
        playButton1 = view.findViewById(R.id.ib1);
        playButton2 = view.findViewById(R.id.ib2);
        playButton3 = view.findViewById(R.id.ib3);

        button5 = view.findViewById(R.id.phb);
        button4 = view.findViewById(R.id.tjgd);
        button6 = view.findViewById(R.id.rmgs);

        ll1 = view.findViewById(R.id.ll1);

        mediaPlayer = new MediaPlayer(); // 初始化媒体播放器

        // 点击第一个播放按钮，播放第一首音乐
        playButton1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                playMusic(musicUrl1);
            }
        });

        // 点击第二个播放按钮，播放第二首音乐
        playButton2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                playMusic(musicUrl2);
            }
        });

        // 点击本地播放按钮，跳转到本地音乐播放页面
        playButton3.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                playLocalMusic();
            }
        });

        ll1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getContext(), PlayMusicActivity.class); // 创建启动本地音乐播放页面的Intent
                startActivity(intent); // 启动新的Activity
            }
        });

        // 点击排行榜按钮，打开音乐排行榜页面
        button5.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openRankingPage1();
            }
        });

        // 点击推荐歌单按钮，打开推荐歌单页面
        button4.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openRankingPage2();
            }
        });

        // 点击热门歌手按钮，打开热门歌手页面
        button6.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                openRankingPage3();
            }
        });

    }

    // 播放在线音乐
    private void playMusic(String musicUrl) {
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(musicUrl)); // 创建打开链接的Intent
        startActivity(intent); // 启动Intent，打开对应链接
    }

    // 播放本地音乐
    private void playLocalMusic() {
        Intent intent = new Intent(getContext(), PlayMusicActivity.class); // 创建启动本地音乐播放页面的Intent
        startActivity(intent); // 启动新的Activity
    }

    // 打开音乐排行榜页面
    private void openRankingPage1() {
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(musicUrl5)); // 创建打开音乐排行榜链接的Intent
        startActivity(intent); // 启动Intent，打开对应链接
    }

    // 打开推荐歌单页面
    private void openRankingPage2() {
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(musicUrl4)); // 创建打开推荐歌单链接的Intent
        startActivity(intent); // 启动Intent，打开对应链接
    }

    // 打开热门歌手页面
    private void openRankingPage3() {
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(musicUrl6)); // 创建打开热门歌手链接的Intent
        startActivity(intent); // 启动Intent，打开对应链接
    }

    // 销毁Fragment时释放媒体播放器资源
    @Override
    public void onDestroy() {
        super.onDestroy();
        if (mediaPlayer != null) {
            mediaPlayer.release(); // 释放媒体播放器资源
            mediaPlayer = null;
        }
    }
}
