package com.example.app1;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;

import androidx.fragment.app.Fragment;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java.util.List;

public class personFragment extends Fragment {
    private ListView listNew;
    private TextView clockTextView;
    private LinearLayout ll4;
    private final Handler handler = new Handler(Looper.getMainLooper());

    private List<Map<String,Object>> lists;
    private SimpleAdapter adapter;
    private int[][] iv={{R.drawable.gequ1,R.drawable.gequ2,R.drawable.gequ3,R.drawable.gequ4,R.drawable.gequ5},
            {R.drawable.zhibo1,R.drawable.zhibo2,R.drawable.zhibo3,R.drawable.zhibo4,R.drawable.zhibo5},
            {R.drawable.zhibo6,R.drawable.zhibo7,R.drawable.zhibo8,R.drawable.gequ1,R.drawable.gequ2},
            {R.drawable.gequ4,R.drawable.zhibo8,R.drawable.zhibo3,R.drawable.gequ5,R.drawable.zhibo2}};
    private String[][] zuopin={{"若月亮没来","Whataya Want from Me","诺言（经典版）","How Sweet","最后一页"},
            {"Bubble Gum","Hero（Explicit）","金风玉露","同途知己","人生如戏"},
            {"火力全开","俺不想上班","连理枝","缺氧","听说你"},
            {"Outlaws of Love","小雨","氧化氢","行走的鱼","致爱人"}};
    private String[][]zuozhe={{"王宇宙Leto","Adam Lambert","NewJeans","en","NewJeans"},
            {"Charlie Puth","杨宗纬","张碧晨","说理哥","郭有才"},
            {"王力宏","Ciyo","花町馆长","野哥","彭宇昕"},
            {"Adam Lambert","万妮达Vinida Weng","白一莎","宝石Gem","SING-宗思雨"}};
    Button button1,button2,button3,button4;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        // 使用布局文件fragment_person创建视图
        View view = inflater.inflate(R.layout.fragment_person, container, false);
        init(view); // 初始化视图
        // 绑定 TextView
        clockTextView = view.findViewById(R.id.clockTextView);
        // 启动时钟更新线程
        updateClock();
        return view;
    }

    // 更新时钟的方法
    private void updateClock() {
        Thread thread = new Thread() {
            @Override
            public void run() {
                try {
                    while (!isInterrupted()) {
                        long currentTimeMillis = System.currentTimeMillis();
                        SimpleDateFormat timeFormat = new SimpleDateFormat("HH:mm:ss", Locale.getDefault());
                        String currentTime = timeFormat.format(new Date(currentTimeMillis));
                        // 通过 handler 更新 UI 线程中的时钟文本
                        handler.post(() -> clockTextView.setText(currentTime));
                        Thread.sleep(1000);
                    }
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        };
        thread.start();
    }

    // 初始化视图的方法
    private void init(View view) {
        listNew = view.findViewById(R.id.list_new);
        button1 = view.findViewById(R.id.bu1);
        button2 = view.findViewById(R.id.bu2);
        button3 = view.findViewById(R.id.bu3);
        button4 = view.findViewById(R.id.bu4);

        ll4 = view.findViewById(R.id.ll4);
        ll4.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getContext(), PlayMusicActivity.class); // 创建启动本地音乐播放页面的Intent
                startActivity(intent); // 启动新的Activity
            }
        });

        // 设置按钮的点击监听器
        button1.setOnClickListener(v -> updateListView(getDataFromView(v)));
        button2.setOnClickListener(v -> updateListView(getDataFromView(v)));
        button3.setOnClickListener(v -> updateListView(getDataFromView(v)));
        button4.setOnClickListener(v -> updateListView(getDataFromView(v)));

        updateListView(0); // 初始化列表视图显示
    }

    // 从视图中获取数据的方法
    public int getDataFromView(View view) {
        if (view.getId() == R.id.bu1) {
            return onClick(view);
        } else if (view.getId() == R.id.bu2) {
            return onClick(view);
        } else if (view.getId() == R.id.bu3) {
            return onClick(view);
        } else if (view.getId() == R.id.bu4) {
            return onClick(view);
        }
        return 0;
    }

    // 更新列表视图的方法
    public void updateListView(int data) {
        lists = new ArrayList<>();
        for (int i = 0; i < zuopin[data].length; i++) {
            Map<String, Object> map = new HashMap<>();
            map.put("iv", iv[data][i]);
            map.put("zuopin", zuopin[data][i]);
            map.put("zuozhe", zuozhe[data][i]);
            lists.add(map);
        }
        adapter = new SimpleAdapter(requireContext(), lists, R.layout.item_person,
                new String[]{"iv", "zuopin", "zuozhe"},
                new int[]{R.id.iv, R.id.zuopin, R.id.zuozhe});
        listNew.setAdapter(adapter);
    }

    // 处理按钮点击事件的方法
    @SuppressLint("ResourceAsColor")
    public int onClick(View view) {
        if (view.getId() == R.id.bu1) {
            return 0;
        } else if (view.getId() == R.id.bu2) {
            return 1;
        } else if (view.getId() == R.id.bu3) {
            return 2;
        } else if (view.getId() == R.id.bu4) {
            return 3;
        }
        return 0; // 默认返回0
    }

}