package com.example.class3_2;

import android.content.ContentValues;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private Button generateBtn, addBtn, deleteBtn, updateBtn, selectBtn;
    private EditText et_username, et_password, et_selection, et_phone;
    private TextView showInfo;
    private MyDbHelper myDbHelper;
    private SQLiteDatabase db;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        myDbHelper = new MyDbHelper(MainActivity.this, "MyDatabase.db", null, 666);
        initView();
        generateBtn.setOnClickListener(this);
        addBtn.setOnClickListener(this);
        selectBtn.setOnClickListener(this);
        deleteBtn.setOnClickListener(this);
        updateBtn.setOnClickListener(this);

    }

    //初始化控件对象
    private void initView() {
        generateBtn = findViewById(R.id.generate);
        addBtn = findViewById(R.id.add);
        updateBtn = findViewById(R.id.update);
        deleteBtn = findViewById(R.id.delete);
        selectBtn = findViewById(R.id.select);
        et_username = findViewById(R.id.username);
        et_password = findViewById(R.id.password);
        et_selection = findViewById(R.id.selection);
        et_phone = findViewById(R.id.phone);
        showInfo = findViewById(R.id.showInfo);
    }

    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.add) {
            db = myDbHelper.getWritableDatabase();
            String username = et_username.getText().toString();
            String password = et_password.getText().toString();
            String phone = et_phone.getText().toString();
            db.execSQL("insert into user(userName,password,phone) values(?,?,?)", new Object[]{username, password, phone});
            db.close();
        } else if (v.getId() == R.id.select) {
            db = myDbHelper.getWritableDatabase();
            Cursor cursor = db.query("user", new String[]{"userName", "password", "phone"}, null, null, null, null, null, null);
            ArrayList<String> userList = new ArrayList<>();
            if (cursor.moveToFirst()) {
                do {
                    String userInfo = "用户名:" + cursor.getString(0) + ",密码:" + cursor.getString(1) + ",电话:" + cursor.getString(2);
                    userList.add(userInfo);
                } while (cursor.moveToNext());
            }
            cursor.close();
            db.close();
            Intent intent = new Intent(this, ShowActivity.class);
            intent.putStringArrayListExtra("userList", userList);
            startActivity(intent);
        } else if (v.getId() == R.id.generate) {
            db = myDbHelper.getWritableDatabase();
            String selection = et_selection.getText().toString();
            Cursor cursor1 = db.rawQuery("select userName,password,phone from user where userName=?", new String[]{selection});
            showInfo.setText("查询结果如下：");
            while (cursor1.moveToNext()) {
                showInfo.append("\n" + "用户名:" + cursor1.getString(0) + ",密码:" + cursor1.getString(1) + ",电话:" + cursor1.getString(2));
            }
            cursor1.close();
            db.close();
        } else if (v.getId() == R.id.delete) {
            db = myDbHelper.getWritableDatabase();
            String selection1 = et_selection.getText().toString();
            int i = db.delete("user", "userName=?", new String[]{selection1});
            if (i > 0) {
                Toast.makeText(MainActivity.this, "成功删除了" + i + "条", Toast.LENGTH_LONG).show();
            } else {
                Toast.makeText(MainActivity.this, "删除失败", Toast.LENGTH_LONG).show();
            }
            db.close();
        } else if (v.getId() == R.id.update) {
            db = myDbHelper.getWritableDatabase();
            String username1 = et_username.getText().toString();
            String password1 = et_password.getText().toString();
            String phone1 = et_phone.getText().toString();
            String selection2 = et_selection.getText().toString();
            db.execSQL("update user set userName=?,password=?,phone=? where userName=?",new Object[]{username1,password1,phone1,selection2});
            db.close();

        }
    }

}

//数据帮助类
class MyDbHelper extends SQLiteOpenHelper {
    //构造器的作用，参数的含义：上下文，数据库的名称，结果集工厂，版本号：定义数据库
    public MyDbHelper(@Nullable Context context, @Nullable String name, @Nullable SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
    }

    //数据库初始化的时候，创建的表或者视图文件
    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("create table user(user_id integer primary key autoincrement,userName varchar(10),password varchar(10),phone varchar(15))");
    }

    //升级方法
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }
}

